[GET] Rule detail
* Authentication
Required Authorization
Limit throttle:30,1
Request
Endpoint GET - /shop-api/coming-soon/get/{coming_soon_id}
Path parameter : coming_soon_id // Coming soon rule ID (integer)
| Params | Type | Required |
|---|---|---|
coming_soon_id |
integer | yes |
GET /shop-api/coming-soon/get/1 HTTP/1.1Host: preorder.globo.ioAuthorization: ************const myHeaders = new Headers();myHeaders.append("Authorization", "************");
const requestOptions = { method: "GET", headers: myHeaders, redirect: "follow"};
fetch("https://preorder.globo.io/shop-api/coming-soon/get/1", requestOptions) .then((response) => response.text()) .then((result) => console.log(result)) .catch((error) => console.error(error));$curl = curl_init();
curl_setopt_array($curl, array( CURLOPT_URL => 'https://preorder.globo.io/shop-api/coming-soon/get/' . $id, CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => '', CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 0, CURLOPT_FOLLOWLOCATION => true, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => 'GET', CURLOPT_HTTPHEADER => array( 'Authorization: ************' ),));
$response = curl_exec($curl);
curl_close($curl);echo $response;Success response 200
{ "success": true, "data": { "id": 1, // Unique coming soon rule ID "name": "Summer Launch", // Name rule coming soon "start_date": "2026-07-01T00:00:00.000000Z", // Start date (nullable) "end_date": "2026-08-01T00:00:00.000000Z", // End date (nullable) "show_countdown": true, // true | false => hiển thị countdown timer "apply_to": "variant", // "all" | "product" | "variant" | "collection" "product_ids": [1234567890], // Array Shopify product IDs when apply_to="product" (nullable) "variant_ids": [9876543210], // Array Shopify variant IDs when apply_to="variant" (nullable) "collection_id": null, // Shopify collection ID when apply_to="collection" (nullable) "translations": { // translate text with multiple language (nullable) "default": { "comingSoonAddToCartText": "Coming Soon", // (nullable) "comingSoonAddToCartText": "", // (nullable) "comingSoonBellowMessage": "" // (nullable) } // "en" : {...}, "jp" : {...}, "fr": {...}, ... }, "status": true, // true => rule active, false => inactive "created_at": "2026-07-01T10:00:00.000000Z", "updated_at": "2026-07-03T10:00:00.000000Z" }}Failed
// Missing ID{ "success": false, "message": "ID is required"}// Not found{ "success": false, "message": "Coming soon product not found"}// catch{ "success": false, "message": "Something went wrong"}Was this helpful?
Thanks for your feedback! Tell us what was missing
Report an issue